web commit by joey
[ikiwiki.git] / debian / NEWS
1 ikiwiki (1.22) unstable; urgency=low
2   
3   Due to some changes in the CSS, wikis should be rebuilt on upgrade to this
4   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be done
5   automatically when the Debian package is upgraded. Or use ikiiki-mass-rebuild
6   to force a rebuild.
7
8   If you have modified versions of ikiwiki's html templates, you will need
9   to update your templates to link to the stylesheet file using
10   "<TMPL_VAR BASEURL>style.css" instead of the old method which used
11   STYLEURL.
12
13   There have also been some changes to the plugin interface:
14   Any plugins that use santize, htmlize, or format hooks will need to be
15   updated for this version of ikiwiki since these hooks have been changed
16   to use named parameters.
17
18  -- Joey Hess <joeyh@debian.org>  Tue, 22 Aug 2006 15:33:12 -0400
19
20 ikiwiki (1.13) unstable; urgency=low
21
22   The GlobList format which was used for specifiying sets of pages, has been
23   replaced with a new, more expressive PageSpec format. While GlobLists will
24   continue to work, that format is deprecated, and you are encouraged to use
25   PageSpecs from now on, and also to change any GlobLists in your wiki to
26   PageSpecs. See the new PageSpec page for details.
27   
28   You will need to rebuild your wiki when upgrading to this version. If you
29   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
30   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
31   rebuild.
32
33  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
34
35 ikiwiki (1.11) unstable; urgency=low
36
37   Some changes to tags in this release, due to a new tag plugin. If you have
38   been using the meta plugin to tag pages, you'll want to enable the tag
39   plugin too, and change things like this:
40
41   [[meta link="foobar"]]
42
43   To this:
44
45   [[tag foobar]]
46
47   The new tags will appear at page footers, and are also easier to type.
48
49   There have also been some changes to the plugin interface, particularly the
50   interface of pagetemplate hooks has changed. See the changelog for details.
51
52  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
53
54 ikiwiki (1.8) unstable; urgency=low
55
56   If your wiki is configured with a setup file, you should modify it to
57   stop setting the "plugin" list directly, and instead add or remove plugins
58   via the add_plugins and disable_plugins lines. For example, if you had:
59
60         plugin => [qw{inline smiley search}],
61
62   Change it to these lines, which disables the default htmlscrubber plugin
63   and adds the two additional plugins:
64
65         add_plugins => [qw{smiley search}],
66         disable_plugins => [qw{htmlscrubber}],
67
68   Making this change makes your ikiwiki setup file more future-proof since
69   new default plugins will be automatically used.
70   
71   You will need to rebuild your ikiwiki wrappers when upgrading to this
72   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
73   done automatically when the Debian package is upgraded. Or use
74   ikiiki-mass-rebuild --refresh to force a refresh.
75
76  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
77
78 ikiwiki (1.1) unstable; urgency=low
79
80   There have been several configuration changes in this release of ikiwiki:
81
82   The --svn and --no-svn switches are removed, instead you should use
83    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
84   be changed to set rcs => "svn"; if your setup file sets svn => 0
85   then change it to use rcs => "" to disable svn.
86
87   The --hyperestraier switch is gone too. To enable searching, turn on the
88   search plugin, by passing --plugin=search or through the plugin setting in
89   the setup file.
90
91   The --sanitize and --no-sanitize switches are also gone, replaced with the
92   htmlscrubber plugin. This plugin is enabled by default, to disable it,
93   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
94   setup file.
95
96   Discussion pages are enabled by default, but if your wiki is configured
97   with a setup file, you need to edit it to keep them enabled on upgrade
98   to this version. Add a line reading:
99   discussion => 1,
100
101   You will need to rebuild your wiki when upgrading to this version.
102   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
103   automatically when the Debian package is upgraded. Or use
104   ikiiki-mass-rebuild to force a rebuild.
105
106  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400